const {request} = require('./util.js')
module.exports={
  // 登录
  login:(data)=>{
    return request("/mini/wx/user/login", data, "POST", {"content-type":"application/json"}, false)
  },
  // 注册
  register:(data)=>{
    return request("/mini/wx/user/registerV2", data, "POST", {"content-type":"application/json"}, false)
  },
  // 频道列表
  listByDevice:(data)=>{
    return request("/mini/wx/channelDefault/listByDevice", data, "GET", {"content-type":"application/x-www-form-urlencoded"})
  },
  // 一级频道详情列表
  pageByDevice:(data)=>{
    return request("/mini/wx/channelDefault/pageByDevice", data, "GET", {"content-type":"application/x-www-form-urlencoded"})
  },
  // 查询设备绑定的唤醒音信息
  deviceWakedetail:(data)=>{
    return request("/mini/wx/deviceWake/detail", data, "GET", {"content-type":"application/x-www-form-urlencoded"})
  },
  // 查询设备的唤醒音音频列表
  deviceWakeList:(data)=>{
    return request("/mini/wx/deviceWake/list", data, "GET", {"content-type":"application/x-www-form-urlencoded"})
  },
  // 设备设置唤醒音
  deviceWakeadd:(data)=>{
    return request("/mini/wx/deviceWake/add", data, "POST", {"content-type":"application/x-www-form-urlencoded"})
  },
  // 查询设备的唤醒音下的音频列表
  radioList:(data)=>{
    return request("/mini/wx/deviceWake/radioList", data, "GET", {"content-type":"application/json"})
  },
  // 初始化
  init:()=>{
    return request("/mini/wx/user/init", {}, "GET", {"content-type":"application/x-www-form-urlencoded"})
  },
}